#		%Z% %M% %I% %D% %T%
#
#
# ロードモジュール名

SRC	= .
OBJ	= .
INCLUDE	= .

LOAD = /home/cms/exe/wsubform
INCLUDE = /home/cms/fusr/libsubformHTML

CC	= gcc

# for Debug

CFLAGS	= -O2 -g

LDEXE	= ./

LINTFLAGS = -x $(INC_OPT) $(CDEFS)

meishokubun : meishokubun.pgc
	ecpg meishokubun.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c meishokubun.c
	gcc -O2 -static -o meishokubun.cgi meishokubun.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

meishokubun_Fetch : meishokubun_Fetch.pgc
	ecpg meishokubun_Fetch.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c meishokubun_Fetch.c
	gcc -O2 -static -o meishokubun_Fetch.cgi meishokubun_Fetch.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

meishokubun_Update : meishokubun_Update.pgc
	ecpg meishokubun_Update.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c meishokubun_Update.c
	gcc -O2 -static -o meishokubun_Update.cgi meishokubun_Update.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

meishokubun_Insert : meishokubun_Insert.pgc
	ecpg meishokubun_Insert.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c meishokubun_Insert.c
	gcc -O2 -static -o meishokubun_Insert.cgi meishokubun_Insert.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

meishokubun_Delete : meishokubun_Delete.pgc
	ecpg meishokubun_Delete.pgc
	gcc -I/usr/local/pgsql/include -I$(INCLUDE) -c meishokubun_Delete.c
	gcc -O2 -static -o meishokubun_Delete.cgi meishokubun_Delete.o ../../libsubformHTML.a -L/usr/local/pgsql/lib -lecpg -lpq -lpgtypes -lm

